## org.jfree.chart.renderer
Class XYItemRendererState

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.XYItemRendererState

public class XYItemRendererState
extends RendererState

The state for an `XYItemRenderer`.

Field Summary
`java.awt.geom.Line2D` `workingLine` A line object that the renderer can reuse to save instantiating a lot of objects.

Constructor Summary
`XYItemRendererState(PlotRenderingInfo info)` Creates a new state.

Methods inherited from class org.jfree.chart.renderer.RendererState
`getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workingLine

    public java.awt.geom.Line2D workingLine

  A line object that the renderer can reuse to save instantiating a lot of objects.

Constructor Detail

### XYItemRendererState

    public XYItemRendererState(PlotRenderingInfo info)

  Creates a new state.

Parameters:
  `info` - the plot rendering info.